-- Test payment_account_type
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(15);

set search_path to numerus, public;

select has_table('payment_account_type');
select has_pk('payment_account_type' );
select table_privs_are('payment_account_type', 'guest', array []::text[]);
select table_privs_are('payment_account_type', 'invoicer', array ['SELECT']);
select table_privs_are('payment_account_type', 'admin', array ['SELECT']);
select table_privs_are('payment_account_type', 'authenticator', array []::text[]);

select has_column('payment_account_type', 'payment_account_type');
select col_is_pk('payment_account_type', 'payment_account_type');
select col_type_is('payment_account_type', 'payment_account_type', 'text');
select col_not_null('payment_account_type', 'payment_account_type');
select col_hasnt_default('payment_account_type', 'payment_account_type');

select has_column('payment_account_type', 'name');
select col_type_is('payment_account_type', 'name', 'text');
select col_not_null('payment_account_type', 'name');
select col_hasnt_default('payment_account_type', 'name');

select *
from finish();

rollback;
